Name:           perl-Capture-Tiny
Summary:        Capture STDOUT and STDERR from Perl, XS or external programs
Version:        0.48
Release:        4
License:        ASL 2.0
URL:            https://metacpan.org/release/Capture-Tiny
Source0:        https://cpan.metacpan.org/authors/id/D/DA/DAGOLDEN/Capture-Tiny-%{version}.tar.gz

BuildRequires:  make perl-interpreter perl-devel perl-generators perl(Carp)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(strict) perl(warnings)
BuildRequires:  perl(Exporter) perl(Fcntl) perl(File::Spec) perl(File::Temp)
BuildRequires:  perl(Scalar::Util) perl(Test::More) >= 0.62 perl(IO::Handle)
BuildRequires:  perl(IO::File) perl(Config) perl(lib) perl(PerlIO::scalar)

Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))

BuildArch:      noarch

%description
Capture::Tiny provides a simple, portable way to capture anything sent to
STDOUT or STDERR, regardless of whether it comes from Perl, from XS code or
from an external program. Optionally, output can be teed so that it is
captured while being passed through to the original handles. Yes, it even
works on Windows. Stop guessing which of a dozen capturing modules to use
in any particular situation and just use this one.

%package_help

%prep
%autosetup -p1 -n Capture-Tiny-%{version}

%build
perl Makefile.PL INSTALLDIRS=perl NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%{perl_privlib}/*

%files help
%doc Changes examples README Todo
%{_mandir}/man3/*

%changelog
* Thu Dec 5 2019 caomeng<caomeng5@huawei.com> - 0.48-4
- Package init
